Name:           vifir
Version:        0.4
Release:        1%{?dist}
Summary:        A viewer for electronic aviation charts

Group:          Applications/Communications
License:        GPLv3
URL:            http://vifir.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel
BuildRequires:  gpsd-devel
BuildRequires:  libgeotiff-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  proj-devel
BuildRequires:  poppler-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  libxml++-devel
BuildRequires:  libglademm24-devel
BuildRequires:  libcurl-devel  
BuildRequires:  desktop-file-utils


%description
Vifir processes and displays electronic aviation charts (currenty VFR
Sectional Charts) produced by the U.S. National Aeronautical Charting
Office in a similar way to an Electronic Flight Bag.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                    \
    --delete-original                                   \
    --add-category="Graphics;2DGraphics"                \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING DEVELOPERS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Sun Jul 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-1
- Initial package for Fedora
